### File

`packages/ecl/components/ecl-gallery/ecl-gallery-footer.component.ts`

### Description

Manages styling and functionality for gallery footer.

### Implements

`OnInit`

### Metadata

selector | `ecl-gallery-footer`
imports | `TranslateModule` `EUI_ECL_BUTTON`
templateUrl | `./ecl-gallery-footer.component.html`

### Index

###### Properties
hasClass
###### Methods
onToggle
###### Inputs
infoId
###### Outputs
toggleItems
###### HostBindings
class.ecl-gallery__footer
###### Accessors
isExpanded itemsCount isShowToggleBtn

### Inputs

infoId
Type : `string`

### Outputs

toggleItems
Type : `EventEmitter`
Event, that is emitted when items are expanded/collapsed.

### HostBindings

class.ecl-gallery__footer
Type : `boolean`
Default value : `true`

### Methods

onToggle
`onToggle()`
Returns : `void`

### Properties

hasClass
Type : `unknown`
Default value : `true`
Decorators : `@HostBinding('class.ecl-gallery__footer')`

### Accessors

isExpanded
get `isExpanded()`
set `isExpanded(value: boolean)`
Parameters :
Name | Type | Optional
value | `boolean` | No
Returns : `void`

itemsCount
get `itemsCount()`
set `itemsCount(value: number)`
Parameters :
Name | Type | Optional
value | `number` | No
Returns : `void`

isShowToggleBtn
get `isShowToggleBtn()`
set `isShowToggleBtn(value: boolean)`
Parameters :
Name | Type | Optional
value | `boolean` | No
Returns : `void`

# results matching ""

# No results matching ""